apiVersion: v1
kind: Service
metadata:
  name: floorplan-service
  namespace: sensor-app
spec:
  type: NodePort
  ports:
  - port: 80
    targetPort: 5000
    nodePort: 30080
  selector:
    app: floorplan-webapp
---
apiVersion: v1
kind: Service
metadata:
  name: mysql-service
  namespace: sensor-app
spec:
  ports:
  - port: 3306
    targetPort: 3306
  selector:
    app: mysql
  clusterIP: None  # Headless service for StatefulSet